Bug 496320 - PulseAudio priorizes stereo input over analog output. Shouldn't do that.
PulseAudio priorizes stereo input over analog output. Shouldn't do that.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
high Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, Reopened
: 491067 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 15:30 EDT by Thomas J. Baker
Modified: 2010-06-28 07:53 EDT (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
poelstra: fedora_requires_release_note+


Attachments (Terms of Use)
dmesg (48.17 KB, text/plain)
2009-05-17 23:29 EDT, John Poelstra
no flags Details
messages log (255.33 KB, text/plain)
2009-07-23 16:51 EDT, Leo Canale
no flags Details

  None (edit)
Description Thomas J. Baker 2009-04-17 15:30:13 EDT
Two systems, both running F11B+rawhide, one x86_64, one i386, both with Creative Labs CT4780 SBLive! Value as shipped with older Dell Precision Workstations. No sound or very eratic sound day to day (updating to latest rawhide each day). Today, I get no sound and when I try to play something, the logs on either machine are filled with these:

ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2001, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
__ratelimit: 21 callbacks suppressed
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2001, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000

On the x86_64 system:

06:0d.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
	Subsystem: Creative Labs CT4780 SBLive! Value
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 17
	Region 0: I/O ports at ace0 [size=32]
	Capabilities: [dc] Power Management version 1
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: EMU10K1_Audigy
	Kernel modules: snd-emu10k1


On the i386 system:

05:0e.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 08)
	Subsystem: Creative Labs CT4780 SBLive! Value
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at cce0 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: EMU10K1_Audigy
	Kernel modules: snd-emu10k1
Comment 1 Pavel Lisý 2009-04-18 11:55:28 EDT
I have the same problem. 

Creative Labs SB Live! EMU10k1 (rev 07). 
kernel 2.6.29.1-70.fc11.i586

How did you get other parameters. Is it any utility for?
Comment 2 Thomas J. Baker 2009-04-18 14:58:09 EDT
As root, run 'lspci -vv' to get the detailed info on the pci card.
Comment 3 Pavel Lisý 2009-04-19 12:48:47 EDT
Thank you, my details are here:

02:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
 Subsystem: Creative Labs CT4830 SBLive! Value
 Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 32 (500ns min, 5000ns max)
 Interrupt: pin A routed to IRQ 22
 Region 0: I/O ports at c000 [size=32]
 Capabilities: [dc] Power Management version 1
   Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
   Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Kernel driver in use: EMU10K1_Audigy
 Kernel modules: snd-emu10k1
Comment 4 Daniel 2009-04-29 11:12:31 EDT
Can confirm that for "F11 Preview" with Creative Labs SB Live! EMU10k1 (rev 04) and kernel 2.6.29.1-111.fc11.x86_64.
The system has no sound at all. Everytime when starting a sound related application, there are lots of lines added in /var/log/messages:

kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000

I have also an onbord sound chip which (is lousy but) works fine:

# lspci | grep -i audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)
03:02.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 04)
Comment 5 Garry Reisky 2009-05-05 12:22:25 EDT
I get the same error message. My good old SB Live used to 'just work' . That's why I put it in all my machines. Please fix this :)
Comment 6 Hobbes 2009-05-12 18:46:25 EDT
I can also confirm this bug. 

00:09.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
        Subsystem: Creative Labs SBLive! 5.1 Model SB0100
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 32 (500ns min, 5000ns max)
        Interrupt: pin A routed to IRQ 17
        Region 0: I/O ports at b000 [size=32]
        Capabilities: [dc] Power Management version 1
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: EMU10K1_Audigy
        Kernel modules: snd-emu10k1


I'm assuming this bug is also responsible for sound artifacts, fast-forwarding and no sound at all.

I hope this will get fixed soon.
Comment 7 Pavel Lang 2009-05-13 16:44:56 EDT
I can confirm too.

Kernel: Linux version 2.6.29.2-126.fc11.i686.PAE (mockbuild@xenbuilder2.fedora.redhat.com) (gcc version 4.4.0 20090427 (Red Hat 4.4.0-3) (GCC) ) #1 SMP Mon May 4 04:48:39 EDT 2009

dmesg repeats this: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000


05:01.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 08)
	Subsystem: Creative Labs SBLive! 5.1 Model SB0100
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 19
	Region 0: I/O ports at b400 [size=32]
	Capabilities: [dc] Power Management version 2
		Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: EMU10K1_Audigy
	Kernel modules: snd-emu10k1
Comment 8 Og Maciel 2009-05-13 18:15:05 EDT
Confirmed here too (not a Fedora system though).

04:08.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
	Subsystem: Creative Labs SBLive! 5.1 Model SB0100
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 9c00 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: EMU10K1_Audigy
	Kernel modules: snd-emu10k1

04:08.1 Input device controller: Creative Labs SB Live! Game Port (rev 07)
	Subsystem: Creative Labs Gameport Joystick
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: I/O ports at 9800 [size=8]
	Capabilities: <access denied>
	Kernel driver in use: Emu10k1_gameport
	Kernel modules: emu10k1-gp
Comment 9 rookcifer 2009-05-14 10:34:45 EDT
I can also confirm this, as I was just about to file my own bug report.

I am using the emu10k1 drivers on a Soundblaster Live! 5.1 Value.  My lspci:

01:07.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 0a)
01:07.1 Input device controller: Creative Labs SB Live! Game Port (rev 0a)


Finally, here is the debug info from the repeated kerneloopses I am getting:

Kernel failure message 1:
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
__ratelimit: 21 callbacks suppressed
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
nepomukservices[2559]: segfault at 7f005f09e32c ip 00007f8a61afa434 sp 00007fff6a0f7080 error 6 in libQtCore.so.4.5.0[7f8a61aa5000+22c000]



Kernel failure message 2:
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
__ratelimit: 21 callbacks suppressed
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000



Kernel failure message 3:
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
__ratelimit: 21 callbacks suppressed
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
Comment 10 rookcifer 2009-05-14 10:41:08 EDT
I forgot to provide lspci -vv.  Here it is:

01:07.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 0a)
        Subsystem: Creative Labs SBLive! 5.1 Digital Model SB0220           
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-                                                   
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-                                                  
        Latency: 32 (500ns min, 5000ns max)                                     
        Interrupt: pin A routed to IRQ 19                                       
        Region 0: I/O ports at 8000 [size=32]                                   
        Capabilities: [dc] Power Management version 1                           
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)                                                                      
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-                     
        Kernel driver in use: EMU10K1_Audigy                                    
        Kernel modules: snd-emu10k1                                             

01:07.1 Input device controller: Creative Labs SB Live! Game Port (rev 0a)
        Subsystem: Creative Labs Gameport Joystick                        
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-                                                   
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-                                                  
        Latency: 32                                                             
        Region 0: I/O ports at 8400 [size=8]                                    
        Capabilities: [dc] Power Management version 1                           
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)                                                                      
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-                     
        Kernel driver in use: Emu10k1_gameport                                  
        Kernel modules: emu10k1-gp
Comment 11 Adam Williamson 2009-05-15 23:09:18 EDT
*** Bug 491067 has been marked as a duplicate of this bug. ***
Comment 12 Adam Williamson 2009-05-15 23:11:03 EDT
Adding Jaroslav to CC - this looks like a significant problem for F11, Jaroslav...

Og, since you say this happened to you on a non-Fedora system, do you know if there's an upstream report?
Comment 13 Adam Williamson 2009-05-15 23:13:11 EDT
May also be related to 466314.
Comment 14 Sergei LITVINENKO 2009-05-16 04:18:29 EDT
Have the same problem
---
sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
---

My Fedora-10, which is upgraded to F11-betta and, after, to F11Preview and to current is not affected. The same sound card work without any problem

New F11-Preview (clean installation to different partition) is problem. I try to compare what is different, but ... do not found anything yet.

Now I have two Fedora-11: updated and clear installed. Old system work with sound OK, but new system do not work. What do I need to compare?

[root@homedesk log]# cat /proc/asound/cards
...
 1 [Live           ]: EMU10K1 - SB Live! 5.1 Dell OEM [SB0228]
                      SB Live! 5.1 Dell OEM [SB0228] (rev.10, serial:0x80661102) at 0xe880, irq 18
Comment 15 Og Maciel 2009-05-16 17:33:35 EDT
(In reply to comment #12)
> Og, since you say this happened to you on a non-Fedora system, do you know if
> there's an upstream report?  

Hi Adam, unfortunately I do not know... this thread was my first find really.
Comment 16 Sergei LITVINENKO 2009-05-16 17:53:42 EDT
Maybe I found where is the problem... IMHO, problem is in PulseAudio. PulseAudio choice wrong Profile for SB Live. To fix it:

1. Run PulseAudio Volume Control
2. Choice Configuration
3. For SBLive => Choice "Output Analog Stereo" or what you want
4. It is better to reboot the system.

So, sound on my fresh Fedora11-Preview is working now.

PS: I use externel USB microphone. By this reason I did not test configuration "Output Analog Stereo + Input Analog Mono"
Comment 17 Og Maciel 2009-05-16 18:21:57 EDT
(In reply to comment #16)
> 1. Run PulseAudio Volume Control
> 2. Choice Configuration
> 3. For SBLive => Choice "Output Analog Stereo" or what you want
> 4. It is better to reboot the system.

PulseAudio Volume Control is happier now and doesn't crash with a interrupted connection message anymore. The volume meter shows me some action but I cannot hear anything at all...
Comment 18 Og Maciel 2009-05-16 18:28:29 EDT
(In reply to comment #17)
> PulseAudio Volume Control is happier now and doesn't crash with a interrupted
> connection message anymore. The volume meter shows me some action but I cannot
> hear anything at all...  

Please add this message to one of those "stupid user issues" you usually share at the water cooler. :) I forgot I had unplugged my speakers from my SB and plugged it to the mother board sound card. My sound just works now!!!!
Comment 19 Sergei LITVINENKO 2009-05-17 05:18:46 EDT
Imho, problem is in profile priority. By default pulse have to select
"output-analog-stereo+input-analog-mono:(priority 51001)", but "output-iec958-stereo+input-analog-stereo:(priority 80510)" have biggest priority. This reason that the pulse selects the wrong profile.

[sergeil@homedesk ~]$ pacmd
>>> info
...
profiles:
output-analog-mono+input-analog-mono:   ... (priority 101)
output-analog-mono+input-analog-stereo: ... (priority 30110)
output-analog-mono: Output Analog Mono: ... (priority 100)
output-analog-stereo+input-analog-mono: ... (priority 51001)
output-analog-stereo: ...                   (priority 51000)         
output-iec958-stereo+input-analog-mono: ... (priority 50501)
output-iec958-stereo+input-analog-stereo:.  (priority 80510)
output-iec958-stereo: ...                   (priority 50500)
output-analog-surround-40+input-analog-mono:(priority 701)
output-analog-surround-40:  ...             (priority 700)
output-analog-surround-41+input-analog-mono:(priority 701)
output-analog-surround-41: ...              (priority 700)
output-analog-surround-50+input-analog-mono:(priority 701)
output-analog-surround-50: ...              (priority 700)
output-analog-surround-51+input-analog-mono:(priority 801)
output-analog-surround-51: ...              (priority 800)
input-analog-mono:   ...                    (priority 1)
input-analog-stereo: ...                    (priority 30010)
off:                 ...                    (priority 0)
...

How and where can it be fixed? Pulse? Installer? ...
Comment 20 John Poelstra 2009-05-17 23:28:31 EDT
seeing the same thing.. hits /var/log/messages every 5 to 10 seconds.

Attaching my dmesg
Comment 21 John Poelstra 2009-05-17 23:29:56 EDT
Created attachment 344370 [details]
dmesg
Comment 22 John Poelstra 2009-05-17 23:30:45 EDT
And forgetting to state the obvious... sound doesn't work which is a regression from Fedora 10
Comment 23 Thomas J. Baker 2009-05-18 08:59:31 EDT
I can confirm that running pavucontrol and changing the configuration from "Output Digital Stereo (IEC958) + Input Analog Mono" to "Output Analog Stereo + Input Analog Mono" fixes my kernel bugs and sound on both my systems. Apparently both my systems were set to "Output Digital" by the default install.

Seems like it still should be a bug but at least there's a workaround.
Comment 24 Garry Reisky 2009-05-18 11:33:46 EDT
I've played around with pavucontrol and it helps out playing with the configuration, however. I was playing Diablo 2 in wine and I had no sound.Pavucontrol helps but isn't 100% cure , at least on my system.
Comment 25 John Poelstra 2009-05-18 11:38:35 EDT
Trying out pavucontrol...

May 18 08:20:21 yardsale kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
May 18 08:20:21 yardsale kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
May 18 08:20:21 yardsale kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
May 18 08:20:22 yardsale kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
May 18 08:20:22 yardsale kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
May 18 08:20:22 yardsale kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
May 18 08:20:22 yardsale kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
May 18 08:20:22 yardsale kernel: ALSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2000, buffer size = 0x2000, period size = 0x2000
May 18 08:20:23 yardsale pulseaudio[2202]: module-rescue-streams.c: Failed to move source output 0 "PulseAudio Volume Control" to alsa_input.pci_1102_2_sound_card_0.
May 18 08:20:23 yardsale pulseaudio[2202]: reserve-wrap.c: Failed to acquire reservation lock on device 'Audio0': Input/output error

After a reboot... sound does work and log spew stops.

Is this a kernel bug or a pulseaudio bug?
Comment 26 rookcifer 2009-05-19 17:25:31 EDT
(In reply to comment #23)
> I can confirm that running pavucontrol and changing the configuration from
> "Output Digital Stereo (IEC958) + Input Analog Mono" to "Output Analog Stereo +
> Input Analog Mono" fixes my kernel bugs and sound on both my systems.
> Apparently both my systems were set to "Output Digital" by the default install.
> 
> Seems like it still should be a bug but at least there's a workaround.  

Not a workaround for me because I have to use Digital Output with my speakers (digital only speakers).
Comment 27 Adam Williamson 2009-05-19 19:53:44 EDT
rookcifer: so you confirm that you get these messages, and no functioning sound, even though you're actually using digital output?

In that case we have two bugs: PA preferring digital output by default on these cards (by policy, ALSA and PA should always default to analog output, AFAIK) and digital output failing to work (possibly only via PA). We need to split the reports.

I will convert this into the bug for 'PA prefers digital output by default on emu10k1 cards'. Rookcifer, please file a new bug for 'digital output on my card does not work with PA'. Thanks.

Assigning to Lennart for now, this appears to be a PA bug (but I'm not 100% sure, as I don't know how PA decides what output profile should be default; if it's inherited from ALSA, this is an ALSA bug).
Comment 28 Lennart Poettering 2009-05-20 10:34:56 EDT
Hm. Indeed. We priorize stereo input over analog output. We probably shouldn't do that. Needs fixing in PA.
Comment 29 Adam Williamson 2009-05-20 11:53:16 EDT
Er - all the reports say they switched from "Output Digital Stereo (IEC958) + Input Analog Mono", not "Output Digital Stereo (IEC958) + Input Analog Stereo"?
Comment 30 Adam Williamson 2009-05-20 11:53:54 EDT
nevermind, now I see sergei's post.
Comment 31 Sergei LITVINENKO 2009-05-20 12:57:57 EDT
Sorry, I can not confirm wich profile after installation was exactly. It was "Output Digital Stereo (IEC958)...", but I do not remember which one.
Comment 32 rookcifer 2009-05-20 21:15:30 EDT
Is PulseAudio supposed to let one change bass/treble levels through the mixer (kmix for instance)?  I can't seem to adjust anything in Kmix, and Pulseaudio has no controls for anything but volume.  Or am I missing something?

And, yes, if I install pavucontrol and select digital output only, the sound works but I still get incessant kerneloopses.  It's the same as if I hadn't adjusted anything to begin with.
Comment 33 rookcifer 2009-05-21 01:34:45 EDT
To follow up to my previous post, I am not sure if I came across clear enough, so let me clarify.

As I said, I can only use digital out with my speakers (no analog inputs).  The sound will work -- it has always worked-- even on the LiveCD, but I get incessant kerneloopses any time I try to do anything audio related (play music, etc.)  Sure, I can just ignore these kernel failures, but it's annoying with that box always popping up.

So, for clarity, here's my issue:  Sound works, but PA or ALSA or whatever keeps crashing the kernel.  The error I get is the same error as everyone posted above, so I think the other guys are simply "bypassing" this error by having analog speakers.  I don't think making Pulseaudio default to analog is going to fix anything! That's why I wonder if it's really necessary for me to file a separate bug report since we all seem to be having the same problem.  The other guys just happen to be putting a band-aid on it and not helping the devs diagnose the latent issue here.

Now, for a couple of questions: 

1) Can I uninstall Pulseaudio?  If not, see 2.

2) Can I downgrade to the F10 version of PA?  Fedora 10 Pulseaudio didn't give kerneloopses, but I uninstalled it anyway and this allowed me to use ALSA to adjust my settings, volume, etc.  However, on F11 if I uninstall PA, I still cannot control anything through kmix, not even the volume!  Thus, it seems PA has become even more entrenched and immutable in F11 than it was in F10.  If downgrading is not possible, see 3.

3) Is there a way to adjust bass/treble, etc. with PA enabled?

4) Is there a way to adjust the volume without having to open up my menu and find pauvucontrol?  In other words, can pavucontrol or some other PA app be installed to the taskbar?
Comment 34 Lennart Poettering 2009-05-21 10:55:26 EDT
(In reply to comment #33)
> To follow up to my previous post, I am not sure if I came across clear enough,
> so let me clarify.
> 
> As I said, I can only use digital out with my speakers (no analog inputs).  The
> sound will work -- it has always worked-- even on the LiveCD, but I get
> incessant kerneloopses any time I try to do anything audio related (play music,
> etc.)  Sure, I can just ignore these kernel failures, but it's annoying with
> that box always popping up.

Please file seperate bug reports against the kernel regarding any kernel oopses you may encounter. Under no circumstances the kernel should oops. If it does this is a kernel bug.

> 1) Can I uninstall Pulseaudio?  If not, see 2.

Sure you can. But you'll probably lose a lot of other stuff at the same time. 

Don't try to 'fix' kernel issues, by playing games with userspace. Just file a bug report against the kernel and the kernel devs will help you.

> 3) Is there a way to adjust bass/treble, etc. with PA enabled?

No.

> 4) Is there a way to adjust the volume without having to open up my menu and
> find pauvucontrol?  In other words, can pavucontrol or some other PA app be
> installed to the taskbar?  

gnome-volume-control does just that.

Please don't hijack this bug report for questions like these. Please use this bug report only to comment on stuff directly related to this very bug report's topic. Thank you.
Comment 35 Adam Williamson 2009-05-21 14:44:29 EDT
"So, for clarity, here's my issue:  Sound works, but PA or ALSA or whatever
keeps crashing the kernel.  The error I get is the same error as everyone
posted above, so I think the other guys are simply "bypassing" this error by
having analog speakers.  I don't think making Pulseaudio default to analog is
going to fix anything! That's why I wonder if it's really necessary for me to
file a separate bug report since we all seem to be having the same problem."

Changing Pulse to default to analog fixes the bug that it defaults to digital. :) You are correct in your assessment that switching to analog output just hides the kernel oopses, and all reporters were seeing this bug when they were set to digital output.

However, PA defaulting to digital for this particular card *is a bug in itself*. PA should always default to analog output, by policy; it was decided by ALSA / PA folks that analog output should always be the default, as it is the most common use case.

Therefore, as I said, this bug should be for "PA defaults to digital output for this card", and you should file a new bug for "Continual kernel oopses when playing sound over the digital output via PA on this card". They are two *separate* issues and need to be filed separately. We could have made *this* the bug for the oopses and asked to file a separate bug for the default-to-digital issue, that would have been equally valid, the desired result is just that there be two separate bugs. I pretty much just picked one choice at random.
Comment 36 rookcifer 2009-05-21 21:06:02 EDT
(In reply to comment #34)
> (In reply to comment #33)

> 
> Please file seperate bug reports against the kernel regarding any kernel oopses
> you may encounter. Under no circumstances the kernel should oops. If it does
> this is a kernel bug.

I doubt it.  It is a PulseAudio bug. When I say "kerneloops" I am referring to the little bix that pops up saying "your system has had a kernel failure" and if I look at the details, it is related to sound.  

> 
> > 1) Can I uninstall Pulseaudio?  If not, see 2.
> 
> Sure you can. But you'll probably lose a lot of other stuff at the same time. 
> 
> Don't try to 'fix' kernel issues, by playing games with userspace. Just file a
> bug report against the kernel and the kernel devs will help you.

Why should they help me when the problem is obviously Pulseaudio?

> 
> > 3) Is there a way to adjust bass/treble, etc. with PA enabled?
> 
> No.

There is no way to adjust bass/treble with PA?  So, what exactly *is* the advantage of using PA when ALSA can do WAY more?  It's sort of ridiculous that PA is being forced on us, when it is LESS functional and way more buggy than ALSA.  

> 
> > 4) Is there a way to adjust the volume without having to open up my menu and
> > find pauvucontrol?  In other words, can pavucontrol or some other PA app be
> > installed to the taskbar?  
> 
> gnome-volume-control does just that.
> 
> Please don't hijack this bug report for questions like these. Please use this
> bug report only to comment on stuff directly related to this very bug report's
> topic. Thank you.  

I wont hijack anymore, as i don't even care at this point.  I am going back to Gentoo where *I* have *control* over what I install and don't have to worry with the embarrassment that is Pulseaudio.

Good riddance.
Comment 37 Adam Williamson 2009-05-21 22:47:41 EDT
If you are getting kernel errors, then there is an error in the kernel. It's perfectly possible for PA to trigger a kernel error that wouldn't otherwise have been triggered. That doesn't mean it's PA's 'fault' or the bug is in PA or, more to the point, that the bug should be assigned to the PA maintainer. Because that way, it's not going to get fixed.

Please, stop using this report for soapboxing. For a start, it's not about your bug, and for a second, Bugzilla is not a soapbox, nor is it a forum.
Comment 38 Adam Williamson 2009-05-21 22:50:02 EDT
Can any other reporter of this bug please file a separate report for the 'kernel errors while set to digital output' issue? We don't want to lose that one while rookcifer goes off in a huff. Thanks.
Comment 39 Davide Moretti 2009-05-30 02:52:23 EDT
I continue to have this issue even after switching to OUtput Analog Stereo.

02:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 04)
	Subsystem: Creative Labs CT4620 SBLive!
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at a400 [size=32]
	Capabilities: [dc] Power Management version 1
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: EMU10K1_Audigy
	Kernel modules: snd-emu10k1

LSA sound/core/pcm_lib.c:166: BUG: stream = 0, pos = 0x2001, buffer size = 0x2000, period size = 0x2000
...

Since I have 4 speakers I usually keeps "Output Analog Surround 4.0 + Input Analog Mono" but this doesn't work either.... Sound skips and give that kernel error.
Comment 40 rookcifer 2009-05-30 06:05:45 EDT
Davide Moretti:

I filed a bug showing the same exact error you are receiving with the same soundcard.  The only difference is I use digital output.  I was told over there that my issue was a kernel bug.  Perhaps you can post to this other bug thread as well?

Other bug here: https://bugzilla.redhat.com/show_bug.cgi?id=502698
Comment 41 Bug Zapper 2009-06-09 10:01:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 42 Don Bower 2009-06-11 21:39:08 EDT
Once I changed to "Output Analog Stereo + Input Analog Mono" The kernaloopses have decreased, but still no sound:
(Note: the PAVC app does show a moving VU bar, which suggests to me there is audio somewhere)


Jun 11 18:03:46 sierra1 kerneloops: Submitted 1 kernel oopses to www.kerneloops.org
Jun 11 18:04:40 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing minimal latency to 106.00 ms
Jun 11 18:06:46 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing wakeup watermark to 95.99 ms
Jun 11 18:07:48 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing minimal latency to 116.00 ms
Jun 11 18:08:56 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing wakeup watermark to 105.99 ms
Jun 11 18:09:22 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing minimal latency to 126.00 ms
Jun 11 18:09:50 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing wakeup watermark to 115.99 ms
Jun 11 18:10:14 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing minimal latency to 136.00 ms
 lspci -vv:
Jun 11 18:03:46 sierra1 kerneloops: Submitted 1 kernel oopses to www.kerneloops.org
Jun 11 18:04:40 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing minimal latency to 106.00 ms
Jun 11 18:06:46 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing wakeup watermark to 95.99 ms
Jun 11 18:07:48 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing minimal latency to 116.00 ms
Jun 11 18:08:56 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing wakeup watermark to 105.99 ms
Jun 11 18:09:22 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing minimal latency to 126.00 ms
Jun 11 18:09:50 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing wakeup watermark to 115.99 ms
Jun 11 18:10:14 sierra1 pulseaudio[1975]: alsa-sink.c: Increasing minimal latency to 136.00 ms
Comment 43 Don Bower 2009-06-11 21:40:47 EDT
wrong paste, sorry:
lspci -vv

01:03.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 0a)
	Subsystem: Creative Labs SBLive! 5.1 Digital Model SB0220
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 19
	Region 0: I/O ports at d800 [size=32]
	Capabilities: [dc] Power Management version 1
		Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 PME-Enable- DSel=0 DScale=0 PME-
	Kernel driver in use: EMU10K1_Audigy
	Kernel modules: snd-emu10k1
Comment 44 Don Bower 2009-06-11 21:43:07 EDT
I'll go look for a deamon, i guess.
[root@sierra1 ~]# pacmd
No PulseAudio daemon running, or not running as session daemon.
Comment 45 Don Bower 2009-06-11 22:19:00 EDT
my pacmd >>> info shows the same as Comment #19 From  Sergei LITVINENKO
Comment 46 Adam Williamson 2009-06-11 22:29:41 EDT
This bug is strictly for the "prefers digital to analog" issue. There's a separate report for the oopses - https://bugzilla.redhat.com/show_bug.cgi?id=502698 . Please keep things in the correct report, or else we will get confused.

btw, the output of alsa-info.sh is much much more useful than lspci when it comes to sound cards. But we don't need that in this report. It can't hurt in the other one, though.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 47 Lennart Poettering 2009-06-15 12:53:11 EDT
(In reply to comment #44)
> I'll go look for a deamon, i guess.
> [root@sierra1 ~]# pacmd
> No PulseAudio daemon running, or not running as session daemon.  

PA is not supposed to be used as root and is also not a system but a session daemon.
Comment 48 Pete Lawler 2009-06-18 02:53:10 EDT
I suspect if somehow bug #499435 gets fixed, I'll be facing this one before I can get default sound working as it did in F10. Just adding myself to the CC's on this one.
Comment 49 John Thacker 2009-06-20 11:49:19 EDT
Selecting the output profile doesn't fix anything for my card either.  I know exactly which alsamixer control needs to be changed to get analog output.  It's called "IEC958 Optical Raw" in alsamixer, or by alsactl:

        control.31 {
                comment.access 'read write'
                comment.type BOOLEAN
                comment.count 2
                iface MIXER
                name 'IEC958 Optical Raw Playback Switch'
                value.0 false
                value.1 false
        }

If this control is muted, analog output.  If this control is on, digital output.

It seems to me that selecting one of the Analog Output profiles in pavucontrol should mute this control, whereas selecting one of the Digital Output (IEC958) profiles should turn this control on.  At least on my card, the pavucontrol profiles have no effect on this control.  If it's working in analog mode, selecting Digital Output doesn't switch it to digital mode.  If it's in digital mode, selecting Analog Output doesn't switch it to analog mode.

I have to use alsactl restore or alsamixer every time I log in (at least when I reboot) in order to fix this issue.

I do note that alsactl init gives this message indicating that it cannot precisely identify my emu10k1 Audigy2 Value card:

Unknown hardware: "Audigy2" "SigmaTel STAC9750,51" "AC97a:83847650" "0x1102" "0x1021"
Hardware is initialized using a guess method

Perhaps this is related to why the profile selection in pavucontrol does not work.
Comment 50 Adam Williamson 2009-06-20 12:52:45 EDT
That's another different issue, please file a new bug for it.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 51 Leo Canale 2009-07-16 17:08:34 EDT
I did a fresh install last night and had sound working, until I did an update. There were a couple hundred updates as there should be. Anyways I was playing  music while the update was taking place then sound stopped. Posted is the log around when it stopped. Anything else I could give you to help resolve this?
Jul 15 17:31:20 freshy-desktop avahi-daemon[1197]: Joining mDNS multicast group on interface eth0.IPv4 with address 192.168.4.110.
Jul 15 17:31:20 freshy-desktop avahi-daemon[1197]: New relevant interface eth0.IPv4 for mDNS.
Jul 15 17:31:20 freshy-desktop avahi-daemon[1197]: Registering new address record for 192.168.4.110 on eth0.IPv4.
Jul 15 17:31:20 freshy-desktop dhclient: bound to 192.168.4.110 -- renewal in 37983 seconds.
Jul 15 17:31:21 freshy-desktop NetworkManager: <info>  (eth0): device state change: 7 -> 8
Jul 15 17:31:21 freshy-desktop NetworkManager: <info>  Policy set 'System eth0' (eth0) as default for routing and DNS.
Jul 15 17:31:21 freshy-desktop NetworkManager: <info>  Activation (eth0) successful, device activated.
Jul 15 17:31:21 freshy-desktop NetworkManager: <info>  Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.
Jul 15 17:31:21 freshy-desktop ntpd[1452]: Listening on interface #5 eth0, 192.168.4.110#123 Enabled
Jul 15 17:31:23 freshy-desktop avahi-daemon[1197]: Registering new address record for 2002:459e:3280:0:207:e9ff:fecf:c3de on eth0.*.
Jul 15 17:31:23 freshy-desktop avahi-daemon[1197]: Withdrawing address record for fe80::207:e9ff:fecf:c3de on eth0.
Jul 15 17:31:23 freshy-desktop kernel: audit(1247693483.777:25766): auid=4294967295 ses=4294967295 subj=system_u:system_r:readahead_t:s0 op=remove rule key=(null) list=2 res=1
Jul 15 17:31:23 freshy-desktop kernel: audit(1247693483.777:25767): audit_enabled=0 old=1 auid=4294967295 ses=4294967295 subj=system_u:system_r:readahead_t:s0 res=1
Jul 15 17:31:25 freshy-desktop ntpd[1452]: Listening on interface #6 eth0, 2002:459e:3280:0:207:e9ff:fecf:c3de#123 Enabled
Jul 15 17:31:27 freshy-desktop auditd[1773]: Started dispatcher: /sbin/audispd pid: 1775
Jul 15 17:31:27 freshy-desktop audispd: af_unix plugin initialized
Jul 15 17:31:27 freshy-desktop audispd: audispd initialized with q_depth=80 and 2 active plugins
Jul 15 17:31:27 freshy-desktop auditd[1773]: Init complete, auditd 1.7.13 listening for events (startup state enable)
Jul 15 17:31:31 freshy-desktop dbus: Rejected send message, 2 matched rules; type="method_call", sender=":1.31" (uid=42 pid=1810 comm="/usr/bin/pulseaudio --start --log-target=syslog ") interface="org.bluez.Manager" member="ListAdapters" error name="(unset)" requested_reply=0 destination="org.bluez" (uid=0 pid=1409 comm="/usr/sbin/bluetoothd "))
Jul 15 17:31:31 freshy-desktop pulseaudio[1810]: bluetooth-util.c: Error from ListAdapters reply: org.freedesktop.DBus.Error.AccessDenied
Jul 15 17:31:39 freshy-desktop kernel: fuse init (API version 7.11)
Jul 15 17:31:40 freshy-desktop pulseaudio[2085]: pid.c: Daemon already running.
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c: snd_pcm_avail() returned a value that is exceptionally large: 4294906060 bytes (7456434 ms).
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c: Most likely this is a bug in the ALSA driver 'snd_emu10k1x'. Please report this issue to the ALSA developers.
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c: snd_pcm_dump():
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c: Plug PCM: Copy conversion PCM
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c: Its setup is:
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c:   stream       : PLAYBACK
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c:   access       : MMAP_INTERLEAVED
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c:   format       : S16_LE
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c:   subformat    : STD
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c:   channels     : 6
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c:   rate         : 48000
Jul 15 17:31:59 freshy-desktop pulseaudio[2028]: alsa-util.c:   exact rate   : 48000 (48000/1)
etc.....
Comment 52 Leo Canale 2009-07-23 16:51:27 EDT
Created attachment 354925 [details]
messages log

After today's update I have sound back but it is playing fast. The timing is quick like a record playing too quickly. Are we positive sure it's pulse causing all of this. Any how I include a text log
Comment 53 Leo Canale 2009-07-23 16:54:32 EDT
(In reply to comment #52)
> Created an attachment (id=354925) [details]
> messages log
> 
> After today's update I have sound back but it is playing fast. The timing is
> quick like a record playing too quickly. Are we positive sure it's pulse
> causing all of this. Any how I include a text log  
Also the volume seems to modulate up and down.
Comment 54 Adam Williamson 2009-07-23 17:42:03 EDT
Leo: no, we are specifically sure that Pulse is *not* causing the problems you're discussing. As I said in comment #46, this bug is _strictly_ for the issue that PA prioritizes the wrong profile by default. There is another bug for problems with playback once you've fixed the profile selection. Please put your comments in that bug.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 55 Lennart Poettering 2009-08-11 18:56:52 EDT
Fix upstream in d27e26dca0b492b1906b42b2d0f7decd38ed8ae3. Will hit rawhide soon.
Comment 56 Adam Williamson 2009-08-11 19:05:51 EDT
Lennart, the bug is open on F11 and obviously causes F11 users significant pain - please fix it with an F11 update too. Re-opening until it's updated in F11.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 57 Sandro Mani 2009-11-27 20:39:58 EST
I have the same issue running an up-to-date fedora 12:
The S/PDIF Optical Raw switch in alsamixer always resets to "On" after every reboot, which causes the two front speakers not to work (regardless of which sound profile, be it stereo, 4.1, 5.1).
What I tried:
- alsactl store: odd enough /etc/asound.state does not even mention that switch existing
- amixer set 'S/PDIF Optical Raw' off, amixer -c 0 set name='S/PDIF Optical Raw' off and similar all say
amixer: Unable to find simple control 'name=S/PDIF Optical Raw',0
Comment 58 Brandon Wright 2009-11-27 23:52:00 EST
I encountered this bug as well, and did some investigating:

By running pulseaudio -vvv, I can see that, during initialization, PulseAudio tries to switch to every profile available to test whether they are valid. During this, it switches to the ALSA IEC958 digital profiles which all specify that the "IEC958 Optical Raw Playback" switch should be turned on, so it adjusts the setting. Unfortunately, it seems the alsa-lib analog profiles simply don't specify a setting for this switch, so it gets left on as it continues, no matter which profile is selected. This results in the analog output being shut off.

The obvious fixes are: 
1. Disable the IEC958 Optical Raw, etc. switches instead of not specifying them in the relevant ALSA analog profiles.
2. Apply the profile's settings using the default settings as a base instead of the current settings. This would entail capturing the entire device configuration before making any changes and reverting to that before applying each profile.
Comment 59 Adam Williamson 2009-12-01 14:56:54 EST
57, 58 - thanks for the reports, nice investigative work, Brandon.

That's a rather different problem from the cause of this report, so can you please file a new bug for that problem so we don't get confused? Give me the bug # when you're done so I can make sure it gets appropriately triaged. Thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 60 Sandro Mani 2009-12-02 16:26:43 EST
Okay, I reported it as bug #543693.
Comment 61 Bug Zapper 2010-04-27 09:44:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 62 Bug Zapper 2010-06-28 07:53:33 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.